sailpoint.object

## Interface Script

    public interface Script

### Field Summary

Fields
`static java.lang.String` `LANG_BEANSHELL` Languages supported for scripts and rules.
`static java.lang.String` `LANG_JAVA`
`static java.lang.String` `LANG_JAVASCRIPT`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Object` `getCompilation()`
`java.util.List<Rule>` `getIncludes()`
`java.lang.String` `getLanguage()`
`java.lang.String` `getSource()`
`void` `setCompilation(java.lang.Object o)`
`void` `setIncludes(java.util.List<Rule> rules)`
`void` `setLanguage(java.lang.String language)`
`void` `setSource(java.lang.String source)`

### Field Detail

#### LANG_BEANSHELL

    static final java.lang.String LANG_BEANSHELL

Languages supported for scripts and rules. In theory you can use anything that BSF supports, but constants are needed for a few languages where the source might be processed.

See Also:
  Constant Field Values

#### LANG_JAVASCRIPT

    static final java.lang.String LANG_JAVASCRIPT

See Also:
  Constant Field Values

#### LANG_JAVA

    static final java.lang.String LANG_JAVA

See Also:
  Constant Field Values

### Method Detail

#### getLanguage

    java.lang.String getLanguage()

#### setLanguage

    void setLanguage(java.lang.String language)

#### getSource

    java.lang.String getSource()

#### setSource

    void setSource(java.lang.String source)

#### getCompilation

    java.lang.Object getCompilation()

#### setCompilation

    void setCompilation(java.lang.Object o)

#### getIncludes

    java.util.List<Rule> getIncludes()

#### setIncludes

    void setIncludes(java.util.List<Rule> rules)